//Crni Cerak Darkside, Crni Cerak Roterdam
#include <iostream>
int main()
{
	std::ios_base::sync_with_stdio(false); 
	std::cin.tie(0);
	int n;
	std::cin >> n;
	int niz[n];
	for(int i = 0; i < n; i++)
		std::cin >> niz[i];
		
	int q;
	std::cin >> q;
	for(int i = 0; i < q; i++)
	{
		int l,r;
		std::cin >> l >> r;
		if(r-l == 0 || r-l == 1)
			std::cout << "DA\n";
		else if(r>l+1)
		{
			int br = 0;
			for(int j = l; j < r; j++)
			{
				if(niz[j] < niz[j-1])
					br++;
				if(br>1) {
					std::cout << "NE\n";
					break;
				}
			}
			if(br<2)
				std::cout << "DA\n";	
		}
		else
			std::cout << "NE\n";		
	}
	return 0;
}